## debian-edu-config 0.393

=== debian/changelog ===
debian-edu-config (0.393) unstable; urgency=low

  * Andreas Schuldei
    - Remove unnecessary and wrong lines from the autofs.ldif. objectclasses
      OU and automoutMap can not be in the same ldap entry, with stricter
      checking as in openldap 2.1.X.
  * Finn-Arne Johansen
    - Remove path from temporary filename for ldap-user-clean-attic.sh.
      (Fixes skolelinux bug #786)
  * Petter Reinholdtsen
    - Add debconf template install rule.
    - Add quotes (") around the value stored in
      /etc/default/update-hostname to make sure it is a valid sh-script
      even if the value is junk.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Jun 2004 10:16:04 +0200

debian-edu-config (0.392) woody; urgency=low

  * Petter Reinholdtsen
    - Change xfree86 test to only warn if X isn't running.  X is
      started after the test is executed, so it isn't really an error.
    - Make it possible to configure init.d/update-hostname at install
      time using an hidden debconf value.
    - Restart bind before ntpd, as ntpd need to look up 'ntp' in DNS.
  * Finn-Arne Johansen
    - Added ldap-user-clean-attic.sh to the command line ldap tools
    - Changed number of imap clients allowd to connect from same host
      (closes: #459)

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Jun 2004 09:27:02 +0200

debian-edu-config (0.391) woody; urgency=low

  * Finn-Arne Johansen
    - Improved a workaround for bug #286 in skolelinux, #156332 in debian
      to ensure that the dhcp server is restartable after installation

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 Jun 2004 22:06:24 +0200

debian-edu-config (0.390) woody; urgency=low

  * Petter Reinholdtsen
    - Only test XFree86, kdm and xfs if it is supposed to
      be installed (!Main-Server).
    - Insert code in debian-edu-restart-services to force dhcpd
      restart as a workaround for skolelinux bug #286.  Not sure if it
      works, but it is better to have this code here instead of in
      debian-edu-install.
    - Add test to check if host 'ldap', 'ntp', 'syslog' and 'webcache'
      is reachable.
    - Started in README on highlevel description of the configuration
      changes done.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Jun 2004 00:04:30 +0200

debian-edu-config (0.389) unstable; urgency=low

  * Finn-Arne Johansen
    - Fetch sambasid for PDC instead of domain.
  * Petter Reinholdtsen
    - Rewrote samba-debian-edu-admin script to make timeout length a
      variable, and to fetch hostname short form only once.
    - Remove trailing space from line ends and the
      samba-debian-edu-admin file.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  3 Jun 2004 18:07:44 -0300

debian-edu-config (0.388) unstable; urgency=low

  * Finn-Arne Johansen
    - Set smaller cache size for mozilla
    - Fixed type and missing entries in mozilla proxy settings

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 May 2004 01:53:18 -0300

debian-edu-config (0.387) unstable; urgency=low

  * Finn-Arne Johansen
    - Fixed some missing samba objects to the ldap tree.
    - Changed procedure to fetch sambaSID.
    - Updated Makefile to include cf.mozilla.
    - Tries to take up the network interface before fetching sambaSID.
    - Changed samba-debian-edu-admin to ensure that sambaSID is
      availible when needed.
    - Disabled samba password change.
    - Disabled samba root access to shared resources.
    - Added sample entry for assigning static ip to workstations,
      (fixes SL #750).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 May 2004 14:36:35 -0300

debian-edu-config (0.386) unstable; urgency=medium

  * Finn-Arne Johansen
      - Updated slapd.conf to limit the write access of smbadmin

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 21 May 2004 23:36:04 +0200

debian-edu-config (0.385) unstable; urgency=medium

  * Petter Reinholdtsen
    - Change webmin test to check the config file before checking if
      the server is listening to the correct port.  Also changed it to
      not die on the first error, but to do all checks before setting
      the return code.
  * Finn-Arne Johansen
    - Changed DHCP lease time.
    - Moved samba clients to a subtree under ou=People.
  * Andreas Schuldei
    - Make the retrival of the machine group dynamic in
      etc/samba/smbaddclient.pl.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 20 May 2004 22:28:22 +0200

debian-edu-config (0.384) unstable; urgency=low

  * Finn-Arne Johansen
    - Changed config of samba, and rewritten smbaddclient.pl script to
      ease the adding of NT clients.
    - Removed nss_base_passwd from libnss-ldap.conf to allow use of
      ou=machines for samba clients.
    - Added config for mozilla to use webcache, and kprinter.
  * Petter Reinholdtsen
    - Reinsert nss_base_passwd into libnss-ldap.conf, as it might have
      unwanted side effects, like removed users and machines showing
      up as existing users.
    - Add test for webmin allow line in /etc/webmin/miniserv.conf.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 May 2004 19:44:45 +0200

debian-edu-config (0.383) unstable; urgency=low

  * adding organisational unit Machines to root.ldif for samba.

 -- Andreas Schuldei <andreas@debian.org>  Wed,  5 May 2004 21:38:39 +0200

debian-edu-config (0.382) unstable; urgency=low

  * Finn-Arne Johansen
    - Added missing samba-debian-edu-install script
  * Andreas Schuldei
    - performance tuning for slapd: adding some indices and keeping the db in
      RAM

 -- Andreas Schuldei <andreas@debian.org>  Wed, 28 Apr 2004 19:12:41 +0200

debian-edu-config (0.381) unstable; urgency=low

  * Finn-Arne Johansen
    - Added config for samba 3.0
  * Petter Reinholdtsen
    - Only create samba LDAP config on first time install.

 -- Andreas Schuldei <andreas@debian.org>  Wed, 28 Apr 2004 17:27:13 +0200

debian-edu-config (0.380) unstable; urgency=low

  * Petter Reinholdtsen


## debian-edu-config 0.396

=== debian/changelog ===
debian-edu-config (0.396) unstable; urgency=low

  * Correct code to make sure /etc/kde[23]/kioslaverc.  It need to
    create the file if it missing, as the 'files' section is executed
    before the 'shellcommands' section.
  * Remove share/debian-edu/common/share/config/kioslaverc.  Not all
    profiles uses a proxy (standalone does not), so KDE should not
    always use a proxy.
  * Move editing of /etc/ldap/ldap.conf from cf.ldapclient to
    cf.ldapserver where it belongs, and where it can be part of the
    cfengine rules already editing the file.
  * Do the same editing of /etc/ldap/ldap.conf in woody and sarge, as
    the rules were similar enough, and seem to differ only for
    historical reasons.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Oct 2004 20:43:23 +0200

debian-edu-config (0.395) unstable; urgency=low

  * Finn-Arne Johansen
    - Set Thin client nfs-access to be async
    - Added, but deactivated code to set nscd cache size
    - Updated ldap initialisation to set up group mapping from unix
      group admins to samba group "Domain Admins" (fixes skolelinux
      bug #812)
    - Updated format for slapd.conf to specify both ldap and ldaps as
      service
    - Added pointer to certificate file on sarge server install
    - Set ldap clients to never check certificate
    - Updated samba.schema to support sambaPasswordHistory
    - Added test for squid spool dir ownership
    - Added host definition for ldap-clients
  * Klaus Ade Johnstad
    - Added some more host-templates in dhcpd-debian-edu.conf,
      and some space between the lines, to avoid some gruff
      in the comment fields in webmin-dhcp.
  * Petter Reinholdtsen
    - Add test to detect errors with /etc/kde[23]/kioslaverc.
    - Make sure /etc/kde[23]/kioslaverc is readable by all.
  * Maximilian Wilhelm
    - Complete rewrite of /etc/group to LDAP migration script.

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Oct 2004 16:29:20 -0400

debian-edu-config (0.394) unstable; urgency=low

  * Finn-Arne Johansen
    - Fixed bashism in detection of workstation profile in cfengine.conf
    - Added slapdconfig for sarge (bdb backend, commented out for now)
    - Changed ldap-bootstrap script to support exim4, and nonexisting samba
    - Added support for sarge in cfengine.conf
    - Fixed squid config for sarge
    - Fixed slapd Database setup for sarge
    - Changed detection of ltspserver profile
  * Petter Reinholdtsen
    - Correct xfree86 test.  It should no longer report errors on
      Main-server installs.
    - Enable postinst code to handle debconf preseeding for
      init.d/update-hostname.  It is now working as it should.
    - Document some problems with init.d/open-backdoor.
    - Make sure open-backdoor print a message when it is enabled.
  * Maximilian Wilhelm
    - Added ldap base dn to client config
    - Added CNAME kerberos for tjener to db.intern
    - Localized debian-edu-hd-warn correctly and added chech if X is running

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  8 Aug 2004 13:28:30 +0200

## debian-edu-config 0.397

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = cfengine-debian-edu cfengine-skolelinux \
        update-ini-file update-hostname-from-ip filehandle_ctl.sh \
	debian-edu-hd-warn skolelinux-hd-warn

SPROGS = debian-edu-restart-services skolelinux-restart-services \
	debian-edu-test-install skolelinux-test-install

INSTALL     = install -p -m 755
INSTALL_DATA= install -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cfdir      = $(sysconfdir)/cfengine/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
ldapdir    = $(sysconfdir)/ldap
schemadir  = $(ldapdir)/schema
dhcp3dir   = $(sysconfdir)/dhcp3
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages

CFFILES = \
	cf.amanda \
	cf.apache \
	cf.apt \
	cf.bind8 \
	cf.bind9 \
	cf.cups \
	cf.devfsd \
	cf.dhcpserver \
	cf.dsp \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.inetd \
	cf.issue \
	cf.kdm \
	cf.ldapserver \
	cf.ldapclient \
	cf.locale \
	cf.ltsp \
	cf.mime-support \
	cf.mozilla \
	cf.nagios \
	cf.nat \
	cf.opera \
	cf.pcmcia \
	cf.samba \
	cf.shell \
	cf.shorewall \
	cf.slbackup \
	cf.squid \
	cf.ssh \
	cf.syslog \
	cf.webmin \
	cfd \
	cfd.conf \
	cfengine.conf \
	cfrunhosts.pl \
	cf.kdm_hdwarn

# Files to install in /etc/
SYSCONFFILES = \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	X11/Xsession.d/10debian-edu-set-umask \
	X11/Xsession.d/20debian-edu-kdedirs \
	bind/debian-edu/db.10 \
	bind/debian-edu/db.192.168 \
	bind/debian-edu/db.intern \
	bind/debian-edu/named-bind8.conf \
	bind/debian-edu/named-bind9.conf \
	courier/authldaprc-debian-edu \
	debian-edu/hd-warn.conf \
	debian-edu/nightkill.conf \
	cups/cupsd-debian-edu.conf \
	dhclient-exit-hooks \
	dhcp3/dhcpd-debian-edu.conf \
	exim/exim-ldap-client.conf \
	exim/exim-ldap-server.conf \
	filesystems \
	ldap/slapd-debian-edu.conf \
	ldap/ssl/slapd-cert.cnf \
	pam.d/cron-debian-edu \
	pam.d/cupsys-debian-edu \
	pam.d/kde-debian-edu \
	pam.d/kscreensaver-debian-edu \
	pam.d/login-debian-edu \
	pam.d/other-debian-edu \
	pam.d/passwd-debian-edu \
	pam.d/samba-debian-edu \
	pam.d/ssh-debian-edu \
	pam.d/su-debian-edu \
	samba/netlogon/login.bat \
	samba/netlogon/shortcut.vbs \
	samba/smb-debian-edu.conf \
	skel/.kde/share/config/kmailrc

LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	X11/Xsession-debian-edu \
	samba/smbaddclient.pl

SCHEMAS = \
	samba.schema \
	samba-2.2.x.schema \
	courier.schema \
	automount-debian-edu.schema \
	norEduPerson.schema \
	EduPerson.schema \
	lis.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	netgroup.ldif

LDAPPROGRAMS = \
	ldappasswd2 \
	ldap2netgroup \
	ldap-debian-edu-install \
	samba-debian-edu-admin \
	mkslapdcert

all:

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(sysconfdir)/exim
	install -d $(DESTDIR)$(sysconfdir)/courier
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcp3dir)
	install -d $(DESTDIR)$(mailcapdir)

	for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
	done
	for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
	done
	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
	echo -n > debian/conffiles.raw
	for cf in $(CFFILES); do \
		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
		echo $(cfdir)/$$cf >> debian/conffiles.raw; \
	done

	echo /etc/cron.d/$(PACKAGE) >> debian/conffiles.raw


	for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
		echo $(sysconfdir)/$$file >> debian/conffiles.raw; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
		echo $(sysconfdir)/$$file >> debian/conffiles.raw; \
	done

	for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	for f in share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/adduser \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
	; do \
		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
	done

	for f in share/debian-edu/common/share/config/kcookiejarrc \
		share/debian-edu/common/share/config/artsmessagerc \
		share/debian-edu/common/share/config/kdeprintrc \
		share/debian-edu/common/share/config/kioslaverc \
		share/debian-edu/common/share/config/kpersonalizerrc \
		share/debian-edu/common/share/config/konquerorrc \
		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	for program in $(LDAPPROGRAMS) ; do \
		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
	done
	for schema in $(SCHEMAS) ; do \
		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/;\
		echo $(schemadir)/$$schema >> debian/conffiles.raw; \
	done
	for ldif in $(LDIFS) ; do \
		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/ ; \
		echo $(ldapdir)/$$ldif >> debian/conffiles.raw; \
	done

	chmod 700 $(DESTDIR)/var/lib/maildirs/

	sort -u debian/conffiles.raw > debian/conffiles
	rm debian/conffiles.raw

install-testsuite:
	install -d $(DESTDIR)$(pkglibdir)/testsuite
	for test in testsuite/* ; do \
		$(INSTALL) $$test $(DESTDIR)$(pkglibdir)/$$test; \
	done



clean:
	# Remove CVS cruft
	find . -name '.#*' | xargs rm

dist:
	debuild -us -uc

=== debian/changelog ===
debian-edu-config (0.397) unstable; urgency=high

  * Andreas Schuldei
    - added afs entries to the named zone files
  * Finn-Arne Johansen
    - Changed samba into using tls instead of ldaps
    - Changed test for services in inetd.conf, not lines containing the
      name of service (Closes: #288912)
  * Klaus Ade Johnstad
    -Removed a space, to avoid errormessage "bad substitution"
     when running /usr/bin/debian-edu-hd-warn

 -- Finn-Arne Johansen <finnarne@(none)>  Thu,  6 Jan 2005 11:48:33 +0100

=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Finn-Arne Johansen <faj@bzz.no>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper

Package: debian-edu-config
Architecture: all
Depends: cfengine, libconfig-inifiles-perl, iptables, mime-support
Recommends: slapd, openssl
Replaces: ldap-skolelinux, cfengine-skolelinux
Provides: cfengine-skolelinux
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0)
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-edu-config

DESTDIR=`pwd`/debian/tmp

build:
	$(checkdir)

	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf $(DESTDIR) debian/files* core debian/substvars
	dh_clean

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)

	dh_testdir
	dh_testroot

	-rm -rf $(DESTDIR)
	install -d $(DESTDIR)
	cd $(DESTDIR) && install -d `cat ../dirs`
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)

	dh_installdebconf
	dh_installdocs
	dh_installdirs
	dh_installcron
	dh_installmodules
	echo /etc/modutils/debian-edu-config >> debian/conffiles
	dh_installinit --init-script open-backdoor
	dh_installinit --init-script enable-nat
	dh_installinit --init-script update-hostname
	dh_installinit --init-script start-wlan
	dh_installinit --init-script report-reboot -r --no-start
	echo /etc/init.d/open-backdoor   >> debian/conffiles
	echo /etc/init.d/enable-nat      >> debian/conffiles
	echo /etc/init.d/update-hostname >> debian/conffiles
	echo /etc/init.d/start-wlan      >> debian/conffiles
	echo /etc/init.d/report-reboot   >> debian/conffiles
	dh_installchangelogs
	dh_gencontrol
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb

	chown -R root.root $(DESTDIR)
	chmod -R go=rX $(DESTDIR)

	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debian-edu-config 0.398

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	debian-edu-test-install skolelinux-test-install
 
 INSTALL     = install -p -m 755
-INSTALL_DATA= install -p -m 644
+INSTALL_DATA= install -D -p -m 644
 
 prefix     = /usr/local
 sysconfdir = /etc
@@ -61,6 +61,7 @@
 	cfd.conf \
 	cfengine.conf \
 	cfrunhosts.pl \
+	cf.sarge-installation-cleanup \
 	cf.kdm_hdwarn
 
 # Files to install in /etc/
@@ -83,7 +84,16 @@
 	exim/exim-ldap-server.conf \
 	filesystems \
 	ldap/slapd-debian-edu.conf \
+	ldap/slapd-sarge_debian-edu.conf \
 	ldap/ssl/slapd-cert.cnf \
+	pam.d/common-auth-ldap-debian-edu \
+	pam.d/common-account-ldap-debian-edu \
+	pam.d/common-password-ldap-debian-edu \
+	pam.d/common-session-winbind-debian-edu \
+	pam.d/common-account-winbind-debian-edu \
+	pam.d/common-auth-winbind-debian-edu \
+	pam.d/common-password-winbind-debian-edu \
+	pam.d/common-session-debian-edu \
 	pam.d/cron-debian-edu \
 	pam.d/cupsys-debian-edu \
 	pam.d/kde-debian-edu \
@@ -97,7 +107,9 @@
 	samba/netlogon/login.bat \
 	samba/netlogon/shortcut.vbs \
 	samba/smb-debian-edu.conf \
-	skel/.kde/share/config/kmailrc
+	samba/smb-winbind-debian-edu.conf \
+	security/pam_mount-winbind-debian-edu.conf \
+	krb5-winbind-debian-edu.conf \
 
 LIBFILES = \
 	mime/packages/debian-edu-mailcap
@@ -183,10 +195,13 @@
 	for f in share/debian-edu/common/share/config/kcookiejarrc \
 		share/debian-edu/common/share/config/artsmessagerc \
 		share/debian-edu/common/share/config/kdeprintrc \
-		share/debian-edu/common/share/config/kioslaverc \
 		share/debian-edu/common/share/config/kpersonalizerrc \
 		share/debian-edu/common/share/config/konquerorrc \
 		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
+		share/debian-edu/networked-kde2/share/config/kioslaverc \
+		share/debian-edu/networked-kde2/share/config/kmailrc \
+		share/debian-edu/networked-kde3/share/config/kioslaverc \
+		share/debian-edu/networked-kde3/share/config/kmailrc \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -195,11 +210,11 @@
 		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
 	done
 	for schema in $(SCHEMAS) ; do \
-		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/;\
+		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
 		echo $(schemadir)/$$schema >> debian/conffiles.raw; \
 	done
 	for ldif in $(LDIFS) ; do \
-		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/ ; \
+		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
 		echo $(ldapdir)/$$ldif >> debian/conffiles.raw; \
 	done

=== debian/changelog ===
debian-edu-config (0.398) unstable; urgency=low

  * Finn-Arne Johansen
    - Added common-auth|account|passwd-ldap-debian-edu for ldap
      authentication, Tried to enable it for Sarge only
      (Closes: #275031).
    - Added detection of sarge in lessdisks-chroot.
    - Added conf-files for winbind/ads authentication, with dummy variables
    - Added pam_env to common session to support /etc/environment
    - better detection of woody/sarge
    - fixed kdm to not show userlist on sarge (Closes: #294048)
    - fixed kdm to allow root logins on server console (Closes: #294047)
    - moved dbootstrap_settings on sarge, to prevent cfengine from detect a
      clean installation if run again
    - Remove custom Xsession, to get kdm to honour
      /etc/alternatives/x-session-manager
    - Rewrite of debian-edu-restart-services
    - Added test for samba to debian-edu-test-install
    - Make sure ldap is stopped during ldap-debian-edu-install
    - Added new imapd.pem for courier-imap-ssl certificate
    - fixed some ACL stuff in ldap-schema/lis.schema to make it work
    - Disabled devfsd for 2.6 kernels (use udev instead)
    - changed slapd-debian-edu.conf -> slapd-sarge_debian-edu.conf to
      support slapd 2.2
    - Moved skript for setting up X in lessdisks ws at boot from d-e-install
      (also updated)
    - Replaced cfengine with cfengine2
    - sett correct path to cfagent
  * Bart Cornelis
    - Set up proxy + kmail when inside a debian-edu network.
  * Petter Reinholdtsen
    - Get PCI reporting working in Sarge.
  * Bjørn Ove Grøtan
    - Updated norEduPerson.schema
  * Andreas Schuldei
    - add writeableBy for ACL usage to ldap-schema/lis.schema

 -- Andreas Schuldei <andreas@debian.org>  Sat,  4 Jun 2005 21:36:07 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: debian-edu-config
 Architecture: all
-Depends: cfengine, libconfig-inifiles-perl, iptables, mime-support
+Depends: cfengine2, libconfig-inifiles-perl, iptables, mime-support
 Recommends: slapd, openssl
 Replaces: ldap-skolelinux, cfengine-skolelinux
 Provides: cfengine-skolelinux

## debian-edu-config 0.399

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 PROGS = cfengine-debian-edu cfengine-skolelinux \
         update-ini-file update-hostname-from-ip filehandle_ctl.sh \
-	debian-edu-hd-warn skolelinux-hd-warn
+	debian-edu-hd-warn skolelinux-hd-warn debian-edu-lessdisks \
+	debian-edu-ltsp debian-edu-pxelinux.cfg
 
 SPROGS = debian-edu-restart-services skolelinux-restart-services \
 	debian-edu-test-install skolelinux-test-install
@@ -22,6 +23,7 @@
 libdir     = /usr/lib
 pkglibdir  = $(libdir)/debian-edu-config
 mailcapdir = $(libdir)/mime/packages
+vardir     = /var
 
 CFFILES = \
 	cf.amanda \
@@ -45,6 +47,7 @@
 	cf.ltsp \
 	cf.mime-support \
 	cf.mozilla \
+	cf.munin \
 	cf.nagios \
 	cf.nat \
 	cf.opera \
@@ -75,6 +78,7 @@
 	bind/debian-edu/named-bind8.conf \
 	bind/debian-edu/named-bind9.conf \
 	courier/authldaprc-debian-edu \
+	courier/imapd-debian-edu.cnf \
 	debian-edu/hd-warn.conf \
 	debian-edu/nightkill.conf \
 	cups/cupsd-debian-edu.conf \
@@ -82,6 +86,8 @@
 	dhcp3/dhcpd-debian-edu.conf \
 	exim/exim-ldap-client.conf \
 	exim/exim-ldap-server.conf \
+	exim4/exim-ldap-client-v4.conf \
+	exim4/exim-ldap-server-v4.conf \
 	filesystems \
 	ldap/slapd-debian-edu.conf \
 	ldap/slapd-sarge_debian-edu.conf \
@@ -110,6 +116,28 @@
 	samba/smb-winbind-debian-edu.conf \
 	security/pam_mount-winbind-debian-edu.conf \
 	krb5-winbind-debian-edu.conf \
+	skel/.kde/share/config/kmailrc \
+	nagios/nagios-debian-edu.cfg \
+	nagios/debian-edu/checkcommands.cfg \
+	nagios/debian-edu/contactgroups.cfg \
+	nagios/debian-edu/contacts.cfg \
+	nagios/debian-edu/dependencies.cfg \
+	nagios/debian-edu/htpasswd.users \
+	nagios/debian-edu/index.html \
+	nagios/debian-edu/main.html \
+	nagios/debian-edu/side.html \
+	nagios/debian-edu/misccommands.cfg \
+	nagios/debian-edu/resource.cfg \
+	nagios/debian-edu/services.cfg \
+	nagios/debian-edu/timeperiods.cfg \
+	nagios/debian-edu/servicetemplates.cfg \
+	nagios/debian-edu/hosttemplates.cfg \
+	nagios/debian-edu/skolelinux_logo.png \
+	nagios/debian-edu/skolelinux_logo_140.png \
+	nagios/debian-edu/hosts/gateway.cfg \
+	nagios/debian-edu/hosts/tjener.cfg \
+	nagios/debian-edu/hostgroups/gateways.cfg \
+	nagios/debian-edu/hostgroups/servers.cfg
 
 LIBFILES = \
 	mime/packages/debian-edu-mailcap
@@ -138,6 +166,12 @@
 	ldap-debian-edu-install \
 	samba-debian-edu-admin \
 	mkslapdcert
+
+VARFILES = \
+	www/index.html.nb \
+	www/index.html.en \
+	www/skl-ren_css.css \
+	www/logo-trans.png
 
 all:
 
@@ -188,6 +222,7 @@
 		share/debian-edu-config/tools/nightkill.sh \
 		share/debian-edu-config/tools/logoutkill.sh \
 		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
+		share/debian-edu-config/tools/ldapdump.sh \
 	; do \
 		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -218,6 +253,10 @@
 		echo $(ldapdir)/$$ldif >> debian/conffiles.raw; \
 	done
 
+	for file in $(VARFILES) ; do \
+		$(INSTALL_DATA) var/$$file $(DESTDIR)/var/$$file; \
+	done
+
 	chmod 700 $(DESTDIR)/var/lib/maildirs/
 
 	sort -u debian/conffiles.raw > debian/conffiles

=== debian/changelog ===
debian-edu-config (0.399) unstable; urgency=low

  [ Bjorn Ove Grotan ]
  * Added administrative password-change utility (tools/jrpasswd)

  [ Morten Werner Olsen ]
  * Added LDAP-database dump script (tools/ldapdump.sh)
  * Added etc/slbackup/pre.d to debian/dirs
  * Added a cfengine-hook that symlinks the tools/ldapdump.sh into
    /etc/slbackup/pre.d/ (fixes debian-edu bug #923)
  * Fixed the permissions on the config-file (pxelinux.cfg/config) for
    PXE-booting.
  * Updated cf/cf.kdm to get a little bit more interesting background for
    the login-screen.
  * Added myself as uploader.
  * Deliver mail to root as the mail-user (not root). This prevented mail
    for root to be delivered.

  [ Petter Reinholdtsen ]
  * Fix typo in testsuite/webcache, using correct argument to find.
  * Close stdin/stdout when restarting the wlan to avoid hanging on
    first time installs.
  * Add LSB init.d headers to document boot time dependencies.
  * Use new script debian-edu-ltsp to build LTSP environment
    using the new LTSP debian packages.
  * Make sure missing sound card don't give a warning dialog box.
  * Make sure testsuite/php is no longer used.  We do not
    install PHP any more.
  * Only run testsuite/{ldap-server,webmin,webserver} on Main-Server
    installs.
  * Only run testsuite/{ldap-client,ntp,webcache} on Main-Server,
    Workstation and Thin-Client-Server installs.
  * Only run testsuite/dhcpd on Main-Server and Thin-Client-Server
    installs.
  * Only report missing kdm and X server as information when running
    the testsuite, as these are started after this point in the
    installation sequence.
  * Start on script ltsp-make-client to convert a LTSP thin client
    chroot to a more complete client installation.

  [ Maximilian Wilhelm ]
  * Added exim4 LDAP configuration for server and client
    (Closes: #276769)

  [ Finn-Arne Johansen ]
  * Added firefox proxy, cache and printer config
  * Fixed detection of 2.4-kernel
  * Included the munin cfengine script, and fixed the munin script
  * Made cfengine-debian-edu work with both cfengine and cfengine2
  * Better detection of group "installation"
  * Replaced all occurences in chengine of "installasjon" with
    "installation"
  * Disabled FifoDir for kdm on non-standalone, to prevent shutdown from
    a logged in session
  * Disabled shutdown from non-local display for kdm (fixes debian-edu
    bug #949)
  * Updateded /etc/samba/slapaddclient.pl because tdbdump is relocated
  * Set up automounting via ldap
  * Disabled listing of hashed password to unauthenticated users
    (fixes debian-edu bug #945)
  * Gave smbadmin access to the Machine Subtree (fixes debian-edu bug #950)
  * Installation script for lessdisks thin client is availible, but does
    not run by default
  * Set up ldap users on lessdisks clients
  * Set a more suited certificate for the postoffice (Closes: #301288)
  * Fixed Typo preventing hidden home dir mounting from Windows server
    Thanks to Bernt Johnsen AFK for discovering
  * Close debconf fd before init-script runs, prevents initscripts
    from runing cleanly (Fixes debian-edu bug: #301565)
  * Made nightkill a bit more quiet
  * Made debian-edu-config Replace,Conflict and Provide ncs
    (fixes debian-edu bug #975)
  * Fixed missing translation from installasjon -> installation in cf.cups
    (Fixes debian-edu bug: #967)
  * Disabled ldap idletimeout, since kdm fails to set up a new connection
  * tftpboot files are moved from /tftpboot into /var/lib/tftpboot,
    rewritten dhcpd.conf, and added script debian-edu-pxelinux.cfg to
    help maintain pxelinux.cfg/default (Partly closes: #905)
  * Fixed typo in tools/ldapdump.sh to remove error-message
  * Added support for using /usr/share/d-e-c/tools/passwd as non-root user
  * Fixed permission on samba passwords for ldap

  [ Ragnar Wisloff ]
  * Corrected cfengine edit line for USE_XFS in cf.ltsp to make LTSP
  * Changed permissions on /etc/skel/.kde/share/config/kmailrc to make
    only user readable. (Fixes debian-edu bug #887)
  * Added cf.sysstat which enables the sysstat system
  * Added Nagios config files and amended cf.nagios to fit. (Fixes
    debian-edu bug #953 and #954).
  * Fixed missing logos from NAgios package.
  * Added UserDir config to cf.apache. Fixes debian-edu bug #639.

  [ Frode Jemtland ]
  * Corrected errors about php4 in cf.apache
  * Updated information about ServerAdmin in cf.apache
  * Added language support for nb, no and nn in cf.apache
  * Commented out mime type nb in cf.apache
  * Fixes skolelinux bug: #938 and #864
  * Added files to /var/www: index.html.nb, index.html.en,
    logo-trans.png, skl-ren_css.css. Fixes debian-edu bug: #942.
  * Fixed typos in html files.

  [ Andreas Schuldei ]
  * extending ldap-debian-edu-install to deal with cases where /etc/shadow
    does not exist (for uml test installations)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 Dec 2005 21:00:32 +0100

=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Olsen <werner@skolelinux.no>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper

Package: debian-edu-config
Architecture: all
Depends: cfengine2 | cfengine, libconfig-inifiles-perl, iptables, mime-support
Recommends: slapd, openssl
Replaces: ldap-skolelinux, cfengine-skolelinux, ncs
Provides: cfengine-skolelinux, ncs
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0), ncs
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

=== debian/rules ===
--- 
+++ 
@@ -44,11 +44,13 @@
 	dh_installmodules
 	echo /etc/modutils/debian-edu-config >> debian/conffiles
 	dh_installinit --init-script open-backdoor
+	dh_installinit --init-script boot_xconf
 	dh_installinit --init-script enable-nat
 	dh_installinit --init-script update-hostname
 	dh_installinit --init-script start-wlan
 	dh_installinit --init-script report-reboot -r --no-start
 	echo /etc/init.d/open-backdoor   >> debian/conffiles
+	echo /etc/init.d/boot_xconf      >> debian/conffiles
 	echo /etc/init.d/enable-nat      >> debian/conffiles
 	echo /etc/init.d/update-hostname >> debian/conffiles
 	echo /etc/init.d/start-wlan      >> debian/conffiles

## debian-edu-config 0.402

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	debian-edu-ltsp debian-edu-pxelinux.cfg
 
 SPROGS = debian-edu-restart-services skolelinux-restart-services \
-	debian-edu-test-install skolelinux-test-install
+	debian-edu-test-install skolelinux-test-install ltsp-make-client
 
 INSTALL     = install -p -m 755
 INSTALL_DATA= install -D -p -m 644
@@ -17,6 +17,7 @@
 bindir     = $(prefix)/bin
 sbindir    = $(prefix)/sbin
 docdir     = $(prefix)/share/doc/$(PACKAGE)
+mandir     = $(prefix)/share/man
 ldapdir    = $(sysconfdir)/ldap
 schemadir  = $(ldapdir)/schema
 dhcp3dir   = $(sysconfdir)/dhcp3
@@ -31,10 +32,10 @@
 	cf.apt \
 	cf.bind8 \
 	cf.bind9 \
+	cf.cfengine \
 	cf.cups \
 	cf.devfsd \
 	cf.dhcpserver \
-	cf.dsp \
 	cf.exim \
 	cf.imap \
 	cf.homes \
@@ -50,6 +51,7 @@
 	cf.munin \
 	cf.nagios \
 	cf.nat \
+	cf.ntp \
 	cf.opera \
 	cf.pcmcia \
 	cf.samba \
@@ -59,13 +61,17 @@
 	cf.squid \
 	cf.ssh \
 	cf.syslog \
+	cf.sysstat \
+	cf.udev \
 	cf.webmin \
-	cfd \
 	cfd.conf \
 	cfengine.conf \
-	cfrunhosts.pl \
 	cf.sarge-installation-cleanup \
 	cf.kdm_hdwarn
+
+CFBINFILES = \
+	cfd \
+	cfrunhosts.pl
 
 # Files to install in /etc/
 SYSCONFFILES = \
@@ -81,6 +87,10 @@
 	courier/imapd-debian-edu.cnf \
 	debian-edu/hd-warn.conf \
 	debian-edu/nightkill.conf \
+	default/backdoor \
+	cfengine/cfservd.conf \
+	cfengine/update.conf \
+	cfengine/inputs/cfagent.conf \
 	cups/cupsd-debian-edu.conf \
 	dhclient-exit-hooks \
 	dhcp3/dhcpd-debian-edu.conf \
@@ -110,13 +120,14 @@
 	pam.d/samba-debian-edu \
 	pam.d/ssh-debian-edu \
 	pam.d/su-debian-edu \
+	usbmount/usbmount-debian-edu.conf \
 	samba/netlogon/login.bat \
 	samba/netlogon/shortcut.vbs \
 	samba/smb-debian-edu.conf \
 	samba/smb-winbind-debian-edu.conf \
 	security/pam_mount-winbind-debian-edu.conf \
+	security/pam_mount-stateless-debian-edu.conf \
 	krb5-winbind-debian-edu.conf \
-	skel/.kde/share/config/kmailrc \
 	nagios/nagios-debian-edu.cfg \
 	nagios/debian-edu/checkcommands.cfg \
 	nagios/debian-edu/contactgroups.cfg \
@@ -168,8 +179,12 @@
 	mkslapdcert
 
 VARFILES = \
+	www/index.html.de \
+	www/index.html.en \
+	www/index.html.es \
+	www/index.html.fr \
 	www/index.html.nb \
-	www/index.html.en \
+	www/index.html.nl \
 	www/skl-ren_css.css \
 	www/logo-trans.png
 
@@ -185,16 +200,30 @@
 	install -d $(DESTDIR)$(dhcp3dir)
 	install -d $(DESTDIR)$(mailcapdir)
 
+# program's manpages are autodetected. 
 	for prog in $(PROGS); do \
 		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
-	done
+		if [ -e "share/man/man1/$$prog.1" ]; \
+		then \
+		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
+		fi \
+	done
+# Using manpages autodetection : 
 	for sprog in $(SPROGS); do \
 		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
+		if [ -e "share/man/man8/$$sprog.8" ]; \
+		then \
+		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
+		fi \
 	done
 	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
 	echo -n > debian/conffiles.raw
 	for cf in $(CFFILES); do \
 		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
+		echo $(cfdir)/$$cf >> debian/conffiles.raw; \
+	done
+	for cf in $(CFBINFILES); do \
+		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
 		echo $(cfdir)/$$cf >> debian/conffiles.raw; \
 	done
 
@@ -234,15 +263,18 @@
 		share/debian-edu/common/share/config/konquerorrc \
 		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
 		share/debian-edu/networked-kde2/share/config/kioslaverc \
-		share/debian-edu/networked-kde2/share/config/kmailrc \
 		share/debian-edu/networked-kde3/share/config/kioslaverc \
-		share/debian-edu/networked-kde3/share/config/kmailrc \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
+# Using manpages autodetection : 
 	for program in $(LDAPPROGRAMS) ; do \
 		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
+		if [ -e "share/man/man1/$$program.1" ]; \
+		then \
+		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
+		fi \
 	done
 	for schema in $(SCHEMAS) ; do \
 		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\

=== debian/changelog ===
debian-edu-config (0.402) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Update the resize_lvm init.d script:
    - use MiB instead of LVM PE as size unit.
    - Make sure it is installed in rcS.d/
    - Make sure it isn't started during install nor upgrade.
    - Rename variable MOUNTPOINT to DEVNAME to reflect its content.
    - Use lvextend instead of lvresize to be compatible with LVM 1.x.
      Thanks to Finn-Arne for this idea.
    - Do not include the resize_lvm default file in the package, to
      avoid upgrade problems on installations where it is modified.
  * Update standards-version from 3.6.1 to 3.6.2.

  [ Finn-Arne Johansen ]
  * Added resize_lvm init-script
  * Treat sarge and etch as !woody to simplify scripting with cfengine
  * Keep the slapd config from sarge (not renaming it to "*-!woody_*")
  * Added etch templates for sources.list (maybe it's not needed)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 19 Apr 2006 22:50:02 +0200

debian-edu-config (0.401) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix syntax error in boot_xconf.  (Closes: #343457)
  * Achnowledge old upload. (Closes: #301565)
  * Modified the ltsp-make-client script used for building diskless
    workstations:
    - Modify code to rename rc#.d symlinks instead of removing them,
      to avoid them to reappear after an upgrade.
    - Reinsert init.d scripts ifupdown and networking when building
      diskless workstation, to make sure the loopback network interface is
      enabled.
    - Make sure to only update /etc/exports once when executing
      ltsp-make-client several times.
    - Move network interface name into variable to make it easier to
      change.
    - Use the apt location of ltsp-server instead of ltsp-client to
      detect the apt source to use, as the latter might not be
      installed nor available on the server.
    - Add /opt/ltsp instead of /opt/ltsp/i386 to /etc/exports, to be
      compatible with the update done by the ltsp package itself.
  * Add dependency on host to make sure init.d/update-hostname work.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 Mar 2006 13:08:44 +0100

debian-edu-config (0.400) unstable; urgency=low

  [ Patrick Winnertz ]
  * Changed symlink of /bin/sh from /bin/ash to /bin/dash
  * Added shellcommands section in cf.shell in order to invoke dpkg-divert
    --add /bin/sh (Closes Skolelinux Bug #1041)

  [ Benjamin Sonntag ]
  * Added manpages for some binaries in this package. Also added a mechanism
    in Makefile so that /bin /sbin and ldapprograms manpages are autodetected
    and installed too.
  * Added file for backdoor in /etc/default (still disabled by default, but
    useful to know how to fill it)
  * Added documentation in README file for samba ssh and apache.
  * Corrected lintian warning on xboot_conf not having restart and
    reload cases.
  * Added CFBINFILES to Makefile so that cfd and cfrunhosts.pl are now
    executables.

  [ Steffen Joeris ]
    * Distribution umask only in /etc/profile
        (Closes Skolelinux Bug #996)
    * Disable connection settings in courier-imap
      so that the cf.imap is running and the
      courier-imap is not running by default
      (Closes Skolelinux Bug #998)
    * change ntp-configuration to not use pool.ntp.org
      and let the clients search for ntp.intern
      (Closes Skolelinux Bug #1024)
    * Dropping kmail preconfiguration
      (Closes Skolelinux Bug #550 and #1017)
    * Also remove conffiles for kmail from
      /usr/share/debian-edu/* and update Makefile
    * still providing sound permission changes for devfs if someone
      still uses kernel24
    * update Makefile for cf.udev

  [ Henning Sprang ]
  * Now configuring NTP with cfengine (cf/cf.ntp).
    (Closes Skolelinux bug #1024)

  [ Bjorn Ove Grotan ]
  * Fixed typo in tools/jrpasswd

  [ Ragnar Wisloff ]
  * Added example of settings for serial mouse to lts.conf. Fixes #584.

  [ Finn-Arne Johansen ]
  * Fixed typo in when creating pxelinux config for old ltsp
  * Added permissions to set timestamps when passwords was changed
  * Display menu for pxebooting devices if more than one netbooting
    solution is installed
  * Set PATH for ldapdump.sh to properly stop/start slapd.
    (Closes Skolelinux bug #1000)
  * Cleaned up the dependencies of debian-edu-config, only include the
    necesarry packages for installing this package.
  * added HOST variable for talking to the ldap-server
  * Set the correct permission on samba passwords.
    (Closes Skolelinux bug #1007)
  * Added support for doing a netbased installation of ltsp in debian-edu
  * Added support for installing ltsp in another location than /opt/ltsp/i386
  * Extended/rewritten script for creating diskless/stateless workstations
  * Split up the configuration of courier imap, should close
    skolelinux bug #998
  * Added dependency to ng-utils (should close Skolelinux bug #1033)
  * Stopped imap from running on a unencrypted port
  * Removed positive test for imap2 (unencrypted port)
    (closes Skolelinux #1038)
  * Added commented out cfengine code to set up access to local devices
    when logged in via kdm on non-server
    (alternativ fix for Skolelinux #974)
  * Added sample definition for shared folder in samba
  * Added sample config for usbmount
  * Added sample config for pam_mount on stateless clients
  * Added script for making stateless workstations to the package,
    should be ready for testing
  * Added workaround for missing background.png in ltsp-themes
    (Skolelinux #1035)
  * Set up mozilla-firefox to use kprinter and A4 as default. Thanks to
    Klaus Ade Johnstad for finding the bug (and the solution)
    (Closes Skolelinux #1042)
  * use pam_group instead of manipulating the devices to get access to
    local devices
  * ldap-debian-edu-install needs to use bash for now
  * Dont test for a running squid on a thin-client-server. Thanks to
    Ole-Anders Andreassen for finding this bug (Closes Skoleliux #1054)


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Olsen <werner@debian.org>
Standards-Version: 3.6.2
Build-Depends-Indep: debhelper

Package: debian-edu-config
Architecture: all
Depends: cfengine2 | cfengine, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host
Replaces: ldap-skolelinux, cfengine-skolelinux, ncs
Provides: cfengine-skolelinux, ncs
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0), ncs
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

=== debian/rules ===
--- 
+++ 
@@ -36,19 +36,20 @@
 	install -d $(DESTDIR)
 	cd $(DESTDIR) && install -d `cat ../dirs`
 	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
-
 	dh_installdebconf
 	dh_installdocs
 	dh_installdirs
 	dh_installcron
 	dh_installmodules
 	echo /etc/modutils/debian-edu-config >> debian/conffiles
+	dh_installinit --init-script resize_lvm -r --no-start -u"start 32 S ."
 	dh_installinit --init-script open-backdoor
 	dh_installinit --init-script boot_xconf
 	dh_installinit --init-script enable-nat
 	dh_installinit --init-script update-hostname
 	dh_installinit --init-script start-wlan
 	dh_installinit --init-script report-reboot -r --no-start
+	echo /etc/init.d/resize_lvm      >> debian/conffiles
 	echo /etc/init.d/open-backdoor   >> debian/conffiles
 	echo /etc/init.d/boot_xconf      >> debian/conffiles
 	echo /etc/init.d/enable-nat      >> debian/conffiles
